Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.0.1 »
- erfa Package »
- p2s

# p2s

erfa.p2s(p)

  P-vector to spherical polar coordinates.

  Parameters
    p double array
  Returns
    theta double array
    phi double array
    r double array

  Notes

  Wraps ERFA function `eraP2s`. The ERFA documentation is:

      - - - - - - -
       e r a P 2 s
      - - - - - - -

      P-vector to spherical polar coordinates.

      Given:
         p        double[3]    p-vector

      Returned:
         theta    double       longitude angle (radians)
         phi      double       latitude angle (radians)
         r        double       radial distance

      Notes:

      1) If P is null, zero theta, phi and r are returned.

      2) At either pole, zero theta is returned.

      Called:
         eraC2s       p-vector to spherical
         eraPm        modulus of p-vector

      This revision:  2021 May 11

      Copyright (C) 2013-2021, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.